Subject: MPC5200 SPI

From: Gary Thomas <[email-masked]>
Date: Tue, 17 Mar 2009 05:07:26 -0600

I'm trying to use the PSC/SPI driver on my MPC5200 board
'drivers/spi/mpc52xx_psc_spi.c' My kernel is 2.6.28, but
I don't see any changes in this area in the latest ones.

Cribbing from the Lite5200, I put this in my DTS file:
		// PSC6 => SPI
		spi@2c00 {		// PSC6
			compatible = "fsl,mpc5200-psc-spi";
			cell-index = <5>;
			reg = <0x2c00 0x100>;
			interrupts = <2 4 0>;
			interrupt-parent = <&mpc5200_pic>;
		};

I added the SPI device I'm working with (I have to write
this driver, so don't go looking for it).  This was added
within the spi@2c00 node, much like various I2C devices, etc.

			temp@spi {
				compatible = "maxim,max6629";
			};

Sadly, the SPI master driver seems 100% oblivious to this.
I found the call of_register_spi_devices (drivers/of/of_spi.c),
but it is only used by the xilinx SPI master.  Also, I didn't
find any slave examples anywhere.

Is this driver (SPI on MPC5200) supposed to work?
If so, what am I missing to get it set up?
If not, what needs to be done to get it there?

Thanks

-- 
------------------------------------------------------------
Gary Thomas                 |  Consulting for the
MLB Associates              |    Embedded world
------------------------------------------------------------